import type { AnimationBuilder } from "@ionic/vue";
import type { Router, RouteLocationRaw } from "vue-router";
import type { ExternalNavigationOptions, RouteInfo, RouteAction, RouteDirection, IonicVueRouterOptions } from "./types";
export declare const createIonRouter: (opts: IonicVueRouterOptions, router: Router) => {
    handleNavigate: (path: RouteLocationRaw, routerAction?: RouteAction, routerDirection?: RouteDirection, routerAnimation?: AnimationBuilder, tab?: string) => void;
    getLeavingRouteInfo: () => RouteInfo;
    handleNavigateBack: (defaultHref?: string, routerAnimation?: AnimationBuilder) => void;
    handleSetCurrentTab: (tab: string) => void;
    getCurrentRouteInfo: () => RouteInfo;
    canGoBack: (deep?: number) => boolean;
    navigate: (navigationOptions: ExternalNavigationOptions) => void;
    resetTab: (tab: string) => void;
    changeTab: (tab: string, path?: string) => void;
    registerHistoryChangeListener: (cb: any) => void;
    goBack: (routerAnimation?: AnimationBuilder) => void;
    goForward: (routerAnimation?: AnimationBuilder) => void;
};
